Bug 696788 - [RFE] Add code in network-scripts to load static arp entries from ethers file
Summary: [RFE] Add code in network-scripts to load static arp entries from ethers file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: initscripts Maintenance Team
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 607248 GSS_6_2_PROPOSED 713759 836282
TreeView+ depends on / blocked
 
Reported: 2011-04-14 20:08 UTC by J.H.M. Dassen (Ray)
Modified: 2018-11-14 13:49 UTC (History)
8 users (show)

Fixed In Version: initscripts-9.03.24-1.el6
Doc Type: Enhancement
Doc Text:
Cause There are times when it's needed to load static arp entries early in startup of the system. Change Startup network scripts were changed to set up arp entries from /etc/ether file Results Arp entries defined in /etc/ether file are set ater network started.
Clone Of:
: 713759 836282 (view as bug list)
Environment:
Last Closed: 2011-12-06 18:09:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1528 normal SHIPPED_LIVE initscripts bug fix and enhancement update 2011-12-06 01:02:05 UTC
Red Hat Bugzilla 692410 None CLOSED [RFE] Add code in network-scripts to enable more ETHTOOL_OPTS options 2019-09-26 14:48:23 UTC

Internal Links: 692410

Description J.H.M. Dassen (Ray) 2011-04-14 20:08:35 UTC
2. What is the nature and description of the request?

Customer has requested to add code in network init script to load static arp
entries from ethers.  

3. Why does the customer need this? (List the business requirements here)

There are times when you want to load static arp entries early in startup of
the system. Doing this in the network script is preferable to make sure other
network services can access network resources.  It appears there is no other
standard way to automatically load these entries currently. 

4. How would the customer like to achieve this? (List the functional
requirements here)

Customer has created and attached a patch to the initscripts package that adds
a few lines to the network script to load static arp entries from the ethers
file. This is very similar to the way static routes are loaded in the network
script.  Customer would like the patch reviewed for possible inclusion in RHEL.

5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.

Internal testing, provide Red Hat test packages to the customer.    

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

No.

7. How quickly does this need resolved? (desired target release)

RHEL 6.2 is the desired release.  

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes.

9. List the affected packages

initscripts

Comment 8 Petr Lautrbach 👨 2011-10-17 11:50:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    There are times when it's needed to load static arp entries early in 
startup of the system.

Change
    Startup network scripts were changed to set up arp entries from
/etc/ether file

Results
    Arp entries defined in /etc/ether file are set ater network started.

Comment 9 errata-xmlrpc 2011-12-06 18:09:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1528.html


Note You need to log in before you can comment on or make changes to this bug.